Status: Resolved Priority: Should have
Author: Malte Jansen Category: Reflection
Created: 2009-01-19 Assigned To:
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Reflection-Service might crash, due to wrong exception
Description

http://forge.typo3.org/repositories/changes/package-flow3/trunk/Classes/Reflection/F3_FLOW3_Reflection_Service.php

on line 208:
if ($this->initialized) throw new \F3\FLOW3\ReflectionException('The reflection service can only be initialized once.', 1232044696);

must be: \F3\FLOW3\Reflection\Exception

(The Exception does not exist...)

Associated revisions
Revision 07ec85a9 - 2009-01-20 09:19 - Robert Lemke

    -  FLOW3: (Reflection) Fixed an exception in the Reflection Service. Resolves #2481

Revision 10c049bc - 2009-01-20 09:55 - Robert Lemke

    -  FLOW3: (Reflection) Fixes failing tests of last commit. Refs #2481

History
#1 - 2009-01-19 23:04 - Malte Jansen

An additional Exception would be useful, if there is no cache-object. Otherwise you get following exception:

Call to a member function has() on a non-object in ~\Packages\FLOW3\Classes\Reflection\F3_FLOW3_Reflection_Service.php on line 706

#2 - 2009-01-20 09:20 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1767.
